<?php include('casa/setup.casa.php');
$codigo = substr(md5(uniqid()),1,7);
	$codigo_prod = DataForms::POST('codigo');		
	$cmbUbicaciones = DataForms::POST('cmbUbicaciones');
	$cmbUbicaciones2 = DataForms::POST('cmbUbicaciones2');	
	$txtItem = DataForms::POST('txtItem');
	$txtProducto = DataForms::POST('txtProducto');
	$txtPiezasCaja = DataForms::POST('txtPiezasCaja');
	$txtCantidadCajaOrig = DataForms::POST('txtCantidadCajaOrig');	
	$txtCantidadCaja = DataForms::POST('txtCantidadCaja');
		$NuevaCantidadCajas = $txtCantidadCajaOrig - $txtCantidadCaja;
	$txtPrecioUnitario = DataForms::POST('txtPrecioUnitario');
	$txtPrecioDocena = DataForms::POST('txtPrecioDocena');
	$txtPrecioCajaDocena = DataForms::POST('txtPrecioCajaDocena');
	$prod_unidadesreal = DataForms::POST('prod_unidadesreal');
	
	if(trim($cmbUbicaciones2)==''){	
		echo '<script>$("#cmbUbicaciones").focus();</script>';
		exit();
	} 
	if(trim($txtCantidadCaja)==''){	
		echo '<script>$("#txtCantidadCaja").focus();</script>';
		exit();
	} 
	//Verificar si es el mismo destino de Traspaso
	if($cmbUbicaciones == $cmbUbicaciones2){	
		echo '<script>$("#cmbUbicaciones").focus();alert("El destino de Traspaso no puede ser el mismo!!!")</script>';
		exit();
	} 

//Calcular las unidades reales por las cajas  a traspasar
//descontar las unidades
$DescontarPiezas = $txtCantidadCaja * $txtPiezasCaja;
$DescontarPiezas2 = $prod_unidadesreal - $DescontarPiezas;

//Ejecutar el traspaso del producto a otro Almacen o deposito	
$sql = Caresp(("INSERT INTO inventarios_productos(
	ubica_codigo,prod_item,prod_codigo,prod_traspaso,
	prod_nombre,prod_foto,prod_piezascaja,
	prod_cantidadcajas,prod_unidadesreal, prod_preciounitario,
	prod_preciodocena,prod_preciocajadocena
)VALUES(
	'$cmbUbicaciones2','$txtItem','$codigo','traspaso',
	'$txtProducto','vacio','$txtPiezasCaja',
	'$txtCantidadCaja','$DescontarPiezas','$txtPrecioUnitario',
	'$txtPrecioDocena','$txtPrecioCajaDocena'
);"));
//Actualizar numero de cajas del Producto
$sqlActualizar = "UPDATE inventarios_productos SET 
	prod_cantidadcajas = '$NuevaCantidadCajas',
	prod_unidadesreal = '$DescontarPiezas2'
WHERE prod_codigo = '$codigo_prod';";

$db = new DB();
$db->dbSQL($sql);
$db->dbSQL($sqlActualizar);

echo '<script>self.location="'.PATH_HOME.'traspasos/";</script>';
?>